> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute UpdateReview

> Executes the updateReviews function.



## OpenAPI

````yaml /api/experiments/rollout.openapi.json post /v1/workflows/rollout/instances/{instance}:updatereviews
openapi: 3.1.0
info:
  title: Confidence Rollout API
  version: 1.0.0
  description: API documentation for rollout
servers: []
security: []
paths:
  /v1/workflows/rollout/instances/{instance}:updatereviews:
    post:
      summary: Execute UpdateReview
      description: Executes the updateReviews function.
      operationId: UpdateReview.execute
      parameters:
        - name: instance
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                parameters:
                  type: object
                  description: Parameters for the function.
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  isApproved:
                    type: boolean
                    description: Whether the review is approved
                  responses:
                    type: array
                    items:
                      type: object
                      properties:
                        commentId:
                          type: string
                          description: The comment id
                        groups:
                          type: array
                          items:
                            type: string
                          description: Resource names on the format identities/abc
                        id:
                          type: string
                          description: The response id
                        reviewer:
                          type: string
                          description: A resource name on the format identities/abc
                        stale:
                          type: boolean
                          description: Whether the review is stale
                        state:
                          type: string
                          enum:
                            - STATE_UNSPECIFIED
                            - PENDING
                            - APPROVED
                            - REJECTED
                            - REQUESTED
                            - STALE
                          description: The review state
                      required:
                        - reviewer
                        - state
                    description: The review responses
                  reviewId:
                    type: string
                    description: The review id
                  reviewers:
                    type: array
                    items:
                      type: object
                      properties:
                        identity:
                          type: array
                          items:
                            type: string
                          description: Resource names on the format identities/abc
                        role:
                          type: string
                          enum:
                            - ROLE_UNSPECIFIED
                            - REVIEW_ROLE_UNSPECIFIED
                            - REQUIRED
                            - OPTIONAL
                          description: The reviewer role
                      required:
                        - identity
                        - role
                    description: The assigned reviewers
                  status:
                    type: string
                    description: The review status
      security:
        - admin: []
      servers:
        - url: https://experiments.confidence.dev
        - url: https://experiments.eu.confidence.dev
        - url: https://experiments.us.confidence.dev
components:
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````